/*
 ***************************************************************************
 *
 *	Module Name : def9914.h
 *
 ***************************************************************************
 */

#ifndef __DEF9914_H
#define __DEF9914_H

/* NAT9914WX^`--------------------------------------------------*/
#define	ISR0		0x00	/* (R)Interrupt Status Register 0 */
#define	IMR0		0x00	/* (W)Interrupt Mask Register 0 */
#define	ISR1		0x01	/* (R)Interrupt Status Register 1 */
#define	IMR1		0x01	/* (W)Interrupt Mask Register 1 */

#define	ADSR		0x02	/* (R)Address Status Register */
#define	IMR2		0x02	/* (W)Interrupt Mask Register 2 */
#define	EOSR		0x02	/* (W)End-of-String Register */
#define	BCR			0x02	/* (W)Bus Control Register */
#define	ACCR		0x02	/* (W)Accessory Read Register */

#define	BSR			0x03	/* (R)Bus Status Register */
#define	AUXCR		0x03	/* (W)Auxiliary Command Register(ėpR}h) */
#define	ISR2		0x04	/* (R)Interrupt Status Register 2 */
#define	ADR			0x04	/* (W)Address Register */
#define	SPSR		0x05	/* (R)Serial Poll Status Register */
#define	SPMR		0x05	/* (W)Serial Poll Mode Register */
#define	CPTR		0x06	/* (R)Command Pass Through Register */
#define	PPR			0x06	/* (W)Parallel Poll Register */
#define	DIR			0x07	/* (R)Data In Register */
#define	CDOR		0x07	/* (W)Command/Data Out Register */



/* NAT9914WX^̃rbg`----------------------------------------------*/
#define	R0_INT0		0x80
#define	R0_INT1		0x40
#define	R0_BI		0x20
#define	R0_BO		0x10
#define	R0_END		0x08
#define	R0_SPAS		0x04
#define	R0_RLC		0x02
#define	R0_MAC		0x01

#define	R1_GET		0x80
#define	R1_ERR		0x40
#define	R1_UNC		0x20
#define	R1_APT		0x10
#define	R1_DCAS		0x08
#define	R1_MA		0x04
#define	R1_SRQ		0x02
#define	R1_IFC		0x01

#define	R2_REM		0x80
#define	R2_LLO		0x40
#define	R2_ATN		0x20
#define	R2_LPAS		0x10
#define	R2_TPAS		0x08
#define	R2_LADS		0x04
#define	R2_TADS		0x02
#define	R2_ulpa		0x01

#define	R3_ATN		0x80
#define	R3_DAV		0x40
#define	R3_NDAC		0x20
#define	R3_NFRD		0x10
#define	R3_EOI		0x08
#define	R3_SRQ		0x04
#define	R3_IFC		0x02
#define	R3_REN		0x01

#define	R4_nba		0x80
#define	R4_STBO		0x40
#define	R4_NL		0x20
#define	R4_EOS		0x10
#define	R4_LLOC		0x08
#define	R4_ATNI		0x04
#define	R4_X		0x02
#define	R4_CIC		0x01

#define	R5_S8		0x80
#define	R5_rsv1		0x40
#define	R5_S6		0x20
#define	R5_S5		0x10
#define	R5_S4		0x08
#define	R5_S3		0x04
#define	R5_S2		0x02
#define	R5_S1		0x01



/* NAT9914ėpR}h`----------------------------------------------*/
#define	_swrst		0x00				/* Clear Software Reset */
#define	swrst		0x80				/* Set Software Reset */
#define	_dacr		0x01				/* Nonvalid Release DAC Holdoff */
#define	dacr		0x81				/* Valid Release DAC Holdoff */
#define	rhdf		0x02				/* Release RFD Holdoff */
#define	_hdfa		0x03				/* Clear Holdoff On All Data */
#define	hdfa		0x83				/* Set Holdoff On All Data */
#define	_hdfe		0x04				/* Clear Holdoff On END Only */
#define	hdfe		0x84				/* Set Holdoff On END Only */
#define	nbaf		0x05				/* New Byte Available False */
#define	_fget		0x06				/* Clear Force Group Execute Trigger */
#define	fget		0x86				/* Set Force Group Execute Trigger */
#define	_rtl		0x07				/* Clear Return To Local */
#define	rtl			0x87				/* Set Return To Local */
#define	feoi		0x08				/* Send EOI With The Next Byte */
#define	_lon		0x09				/* Clear Listen Only */
#define	lon			0x89				/* Set Listen Only */
#define	_ton		0x0A				/* Clear Talk Only */
#define	ton			0x8A				/* Set Talk Only */
#define	gts			0x0B				/* Go To Standby */ /* ATNHighɂ */
#define	tca			0x0C				/* Take Control Asynchronously */ /* ATNLowɂ */
#define	tcs			0x0D				/* Take Control Synchronously */
#define	_rpp		0x0E				/* Clear Request Parallel Poll */
#define	rpp			0x8E				/* Set Request Parallel Poll */
#define	_sic		0x0F				/* Clear Send Interface Clear */  /* IFCHighɂ */
#define	sic			0x8F				/* Set Send Interface Clear */ /* IFCLowɂ */
#define	_sre		0x10				/* Clear Send Remote Enable */ /* RENHighɂ */
#define	sre			0x90				/* Set Send Remote Enable */ /* RENLowɂ */
#define	rqc			0x11				/* Request Control */
#define	rlc			0x12				/* Release Control */
#define	_dai		0x13				/* Clear Disable IMR2, IMR1, And IMR0 Interrupts */
#define	dai			0x93				/* Set Disable IMR2, IMR1, And IMR0 Interrupts */
#define	pts			0x14				/* Pass Through Next Secondary */
#define _stdl		0x15				/* Clear Short T1 Delay */
#define	stdl		0x95				/* Set Short T1 Delay */
#define _shdw		0x16				/* Clear Shadow Handshaking */
#define	shdw		0x96				/* Set Shadow Handshaking */
#define _vstdl		0x17				/* Clear Very Short T1 Delay */
#define	vstdl		0x97				/* Set Very Short T1 Delay */
#define _rsv2		0x18				/* Clear Request Service bit 2 */
#define	rsv2		0x98				/* Set Request Service bit 2 */

#define	sw7210		0x99				/* Switch To 7210 Mode */
#define reqf		0x1A				/* Request rsv False (reqf) */
#define	reqt		0x9A				/* Request rsv True (reqt) */
#define	ch_rst		0x1C				/* Chip Reset */
#define _ist		0x1D				/* Clear Parallel Poll Flag */
#define	ist			0x9D				/* Set Parallel Poll Flag */
#define	piimr2		0x1E				/* Page-In Interrupt Mask Register 2 */
#define	pibcr		0x1F				/* Page-In Bus Control Register */
#define	clrpi		0x9C				/* Clear Page-In Registers */
#define	pieosr		0x9E				/* End-of-String Register */
#define	piaccr		0x9F				/* Page-In Accessory Register */



/* IEEE488 `R}h---------------------------------------------------*/
#define	GTL			0x01				// Go To Local
#define	SDC			0x04				// Selected Device Clear
#define	PPC			0x05				// Parallel Poll Configure
#define	GET			0x08				// Group Execute Trigger
#define	TCT			0x09				// Take Control
#define	LLO			0x11				// Local Lockout
#define	DCL			0x14				// Device Clear
#define	PPU			0x15				// Parallel Poll Unconfigure
#define	SPE			0x18				// Serial Poll Enable
#define	SPD			0x19				// Serial Poll Disable

#define	UNL			0x3F				// Unlisten
#define	UNT			0x5F				// Untalk

#define	LAG			0x20				// Listen Address Group
#define	TAG			0x40				// Talk Address Group
#define	SAG			0x60				// Second Address Group

/*------------------------------------------------------------------------*/



#endif // __DEF9914_H

// End of File
